Bug 832812 - [abrt] rawtherapee-4.0.8-1.fc17: Process /usr/bin/rawtherapee was killed by signal 11 (SIGSEGV)
[abrt] rawtherapee-4.0.8-1.fc17: Process /usr/bin/rawtherapee was killed by s...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rawtherapee (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thibault North
Fedora Extras Quality Assurance
abrt_hash:ea76894bd4b5687881013d601a8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-17 10:50 EDT by Xaver Hellauer
Modified: 2012-07-12 14:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-12 14:58:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (93.36 KB, text/plain)
2012-06-17 10:51 EDT, Xaver Hellauer
no flags Details
File: xsession_errors (75.01 KB, text/plain)
2012-06-17 10:51 EDT, Xaver Hellauer
no flags Details
File: maps (84.67 KB, text/plain)
2012-06-17 10:51 EDT, Xaver Hellauer
no flags Details
File: dso_list (8.23 KB, text/plain)
2012-06-17 10:51 EDT, Xaver Hellauer
no flags Details

  None (edit)
Description Xaver Hellauer 2012-06-17 10:50:55 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        rawtherapee
comment:        Clicking the "Show untagged images only" icon.
crash_function: rtengine::ImProcFunctions::getAutoExp
executable:     /usr/bin/rawtherapee
kernel:         3.4.0-1.fc17.x86_64
pid:            5871
pwd:            /home/xha
time:           So 17 Jun 2012 15:16:18 CEST
uid:            1000
username:       xha

backtrace:      Text file, 95599 bytes
dso_list:       Text file, 8427 bytes
maps:           Text file, 86706 bytes
xsession_errors: Text file, 76807 bytes

build_ids:
:f11637fe4d66ce68785e3565d4ad73c2cfd3b6ba
:99c23b21038c62b0628b93610fb54c5900c40ffd
:faca16f15d87b83d2947a386e319b02f724dcbb5
:8c1105fdca80308f44d545b954a7dcd518f98db5
:9d49f2f604fdc7a787f63c16cc08353956f2fd41
:127f8958b602715234a02b88adb08afd9e34c203
:b6d75088f555d197be1476cb1c580640826ae029
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:fe58d8fb04b8db326ab41ab7a98b0f3b73e06618
:c2f5ae8bd64df0fc996cf96b95525a8f8fb28fd2
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:45b9c1436f78151fc2e3f8ab1189d31532b2f2af
:d8d393649ae4da146ebc8812db58514f245f08a9
:b277af36744327e3d58eae76bcdaadcca71a28c6
:7716bc5c1738194dad6ec6679d05ae3782139288
:0e1267a4d81de05f053eeed7f2f61fb46cda9e7c
:e48810bd9d6ad9358cc2aff3d0c8532485f59b90
:ec87953f655fbcbcbe71b591db5451e56739576e
:d4ffd15a5a656e6f7ea2415b2c5f21cc54cc1df0
:7c35310fc506498c612d5d982ab03becc4b4817c
:ac943af4aaadceb5deb00b73d39c85444512c747
:712a8ccad54d22068d6c8dde6395f5b4b3a72659
:31243d0d107bba586a96433c76c87a26db1e826c
:e2f8ba3db2c86456528fe1f09829c62263d0fdee
:f06640700fb0feb44c0318bd13869e0b0a5f72ec
:87712be648d2d43ea4cd002fe7a859df636f1e13
:5a21060d9c8bf8faef9fd0a6f767d09d36730b12
:3d60535f052babb998bae4807bc992c5d15df5c4
:253afe744466fe7580bbb6040de6183dba9e2b02
:f64b7319b84d426ed547084bdb2577f4f596c18f
:c52c7fe515f9d25fee23e57d69db877abc6ad11a
:5d08d928a5f0b7efa48e4874b6dc4337d0a5ffb1
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65
:8f7c190397d7c1f617e66f18f759714662b60367
:73777e822e00ca152ffca281ab0ace0cb498ec48
:54a5cc118d928470da13565de8592b664a9868e0
:516204cfc31148538d56b21e2f1b945ed50127d4
:63651cdc0224824a9c9324c77c3b5887378e871d
:a6a94447f1fe9f7ed09f1118cdd836ab58926e56
:c4ec0971b2dcee71aaf8374975474054245fea00
:a553a7e9625a224a8f39286909adc17787ad51bd
:d804f8ee47797da9213a92f00cd095ecada8d79f
:ff5a0c299ee54a2580475ad0d6cae351ec6cd4f6
:67792c148d2b8f13f6732c9367e926c26d7376c5
:822e9b3523e8312240f41a25722d539bc77ed436
:404cbecd24d186758ed474b345313da28b2990fa
:396fda5abd0de2132396c4a3e94f7a7173bc26e7
:3f0991d9a4679b6bdd8a78ab2d05ecf4cc995651
:d32cbeacfd9f41e3cd29b697dd111f44a2d9c127
:4e0a3559ef2951a86e97f298027bc0b6df609069
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:4d09d82785dab5f95c01b69bc0785145a5954d30
:8468b29e3c5685c29abcea42563d38eade55225f
:f1c49123d06db01a4d1a4749d57f52f01bac8f63
:1555b1de25ee9aa6770b016dc6b0fc0372c073bd
:edb66e9ce904aaaca21ec3777d64e0158854dbce
:a12904e3aa7e77a54deb00b1ca82f5d3da55cb91
:f4d479614b09460085428bbe7d53df454d0d39e5
:508cf66f72e70054a41215f80ed2385c6bb80030
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202
:c24fd7404668fdbb57aec685a0f63cdd8a289d29
:4b044fe80e4c1b69986abc4b160c303048005d4e
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:c61e487cc8906c4f1bd85b39a4d751b414e423a0
:5dd234206476b0387cd251598aa72a2c95c763c5
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:0eeac854ab0b56d18d126ca7056136b4e63abed7
:617e70e4105dfaa44b8d1f53b914e37eb5886ceb
:bedae5ac57798955ab3e731839af480062d2392d
:1a0c09f270adf8398df4362ce0acfafc1f970982
:a5cf7008c28585406297cf76ce11e2e554e5a7b4
:5bf8427ddeff24a2bd36962f68e6af6ffe14970f
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38
:247132297f287226a24c12e683292f5c94013066
:f6a551649f4c2d9309a9a93cabaf553b55dafe5e
:dec0de92024bee74c75c04bde4c54c097fe68ae8
:5350b5972464f66f404861dc50225a114a2a5e7e

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/xha/2

core_backtrace:
:bedae5ac57798955ab3e731839af480062d2392d 0xafce1 rtengine::ImProcFunctions::getAutoExp(LUT<unsigned librtengine.so -
:bedae5ac57798955ab3e731839af480062d2392d 0x15a8e4 rtengine::Thumbnail::processImage(rtengine::procparams::ProcParams librtengine.so -
:f6a551649f4c2d9309a9a93cabaf553b55dafe5e 0x215020 Thumbnail::upgradeThumbImage(rtengine::procparams::ProcParams [exe] -
:f6a551649f4c2d9309a9a93cabaf553b55dafe5e 0x128868 ThumbImageUpdater::Impl::processNextJob() [exe] -
:4e0a3559ef2951a86e97f298027bc0b6df609069 0x4ef82 - libglibmm-2.4.so.1 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x6ab42 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x6a345 - libglib-2.0.so.0 -
:73777e822e00ca152ffca281ab0ace0cb498ec48 0x7d14 start_thread libpthread.so.0 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0xf199d clone libc.so.6 -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=ardbeg
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/xha/keyring-mmtIom
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=xha
:USERNAME=xha
:MAIL=/var/spool/mail/xha
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/xha/.local/bin:/home/xha/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/xha
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=927
:LANG=de_DE.utf8
:GDM_LANG=de_DE.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/xha
:SHLVL=1
:LOGNAME=xha
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-JWOl96j4az,guid=d0c9d7abc490fff0bb35511300000022
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/xha
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-xha-mSgpGy/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/931,unix/unix:/tmp/.ICE-unix/931
:GPG_AGENT_INFO=/run/user/xha/keyring-mmtIom/gpg:0:1
:SSH_AUTH_SOCK=/run/user/xha/keyring-mmtIom/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/rawtherapee.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=5871

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 31396                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       31396                31396                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:1:/home/xha/.xsession-errors
:2:/home/xha/.xsession-errors
:3:socket:[528382]
:4:anon_inode:[eventfd]
:5:socket:[529417]
:6:/home/xha/.local/share/gvfs-metadata/root
:7:/home/xha/.local/share/gvfs-metadata/root-1d1470e5.log
:8:/home/xha/.local/share/gvfs-metadata/home
:9:/home/xha/.local/share/gvfs-metadata/home-25684ced.log
:10:socket:[529215]
:11:anon_inode:inotify

smolt_data:
:
:
:Allgemein
:=================================
:UUID: 5bc7b710-5f63-44e0-9a0e-031b12bd1eea
:OS: Fedora release 17 (Beefy Miracle)
:Standard-Runlevel: Unknown
:Sprache: de_DE.utf8
:Plattform: x86_64
:BogoMIPS: 4800.24
:CPU-Anbieter: GenuineIntel
:CPU-Modell: Intel(R) Celeron(R) CPU        E3200  @ 2.40GHz
:CPU-Stepping: 10
:CPU Familie: 6
:CPU-Modellnummer: 23
:Anzahl der CPUs: 2
:CPU-Geschwindigkeit: 2399
:Systemspeicher: 3945
:System-Swap: 4096
:Anbieter: MICRO-STAR INTERNATIONAL CO.,LTD
:System: MS-7529 1.0
:Form-Faktor: Desktop
:Kernel: 3.4.0-1.fc17.x86_64
:SELinux aktiviert: 1
:SELinux-Richtlinie: targeted
:SELinux erzwingen: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Geräte
:=================================
:(32902:10688:5218:29993) pci, agpgart-intel, HOST/PCI, 82G33/G31/P35/P31 Express DRAM Controller
:(32902:10202:5218:29993) pci, i801_smbus, SERIAL, N10/ICH 7 Family SMBus Controller
:(32902:10176:5218:29993) pci, ata_piix, STORAGE, N10/ICH7 Family SATA IDE Controller
:(32902:10207:5218:29993) pci, ata_piix, STORAGE, 82801G (ICH7 Family) IDE Controller
:(32902:10168:5218:29993) pci, None, PCI/ISA, 82801GB/GR (ICH7 Family) LPC Interface Bridge
:(4332:33078:5218:29993) pci, r8169, ETHERNET, RTL8101E/RTL8102E PCI Express Fast Ethernet controller
:(32902:10185:5218:29993) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #2
:(32902:9294:5218:29993) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:10187:5218:29993) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #4
:(32902:10186:5218:29993) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #3
:(4254:878:5435:4391) pci, bttv, MULTIMEDIA_VIDEO, Bt878 Video Capture
:(4254:2168:5435:4391) pci, None, MULTIMEDIA, Bt878 Audio Capture
:(4281:21049:4281:21049) pci, ehci_hcd, USB, ASRock 939Dual-SATA2 Motherboard
:(4281:21047:4281:21047) pci, ohci_hcd, USB, ASRock 939Dual-SATA2 Motherboard
:(4281:21047:4281:21047) pci, ohci_hcd, USB, ASRock 939Dual-SATA2 Motherboard
:(4281:21047:4281:21047) pci, ohci_hcd, USB, ASRock 939Dual-SATA2 Motherboard
:(32902:10690:5218:29993) pci, i915, VIDEO, 82G33/G31 Express Integrated Graphics Controller
:(32902:10192:5218:29993) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 1
:(32902:10194:5218:29993) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 2
:(32902:10200:5218:29993) pci, snd_hda_intel, MULTIMEDIA, N10/ICH 7 Family High Definition Audio Controller
:(32902:10184:5218:29993) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #1
:(32902:10188:5218:29993) pci, ehci_hcd, USB, N10/ICH 7 Family USB2 EHCI Controller
:
:
:Dateisysteminformationen
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda2 / ext4 4096 4096 3142031 1377664 1346192 794624 554240 554240
:/dev/sda3 /home ext4 4096 4096 35963437 1945953 145352 9003008 8879867 8879867
:/dev/sdb1 WITHHELD ext4 4096 4096 121965830 7011461 906642 30531584 30499313 30499313
:/dev/sdj1 WITHHELD ext4 4096 4096 60977661 4325508 1273041 15269888 15239073 15239073
:/dev/sdi1 WITHHELD ext4 4096 4096 487910314 109670978 85252073 122101760 121698178 121698178
:

var_log_messages:
:Jun 17 15:03:33 ardbeg kernel: [102073.910105] rawtherapee[5637]: segfault at 5d0 ip 0000003e93ebb522 sp 00007f53a491fbc0 error 4 in librtengine.so[3e93e00000+23b000]
:Jun 17 15:04:03 ardbeg abrt[5671]: Saved core dump of pid 29326 (/usr/bin/rawtherapee) to /var/spool/abrt/ccpp-2012-06-17-15:03:34-29326 (2249293824 bytes)
:Jun 17 15:16:31 ardbeg abrt[7730]: Saved core dump of pid 5871 (/usr/bin/rawtherapee) to /var/spool/abrt/ccpp-2012-06-17-15:16:18-5871 (1705381888 bytes)
Comment 1 Xaver Hellauer 2012-06-17 10:51:03 EDT
Created attachment 592436 [details]
File: backtrace
Comment 2 Xaver Hellauer 2012-06-17 10:51:06 EDT
Created attachment 592437 [details]
File: xsession_errors
Comment 3 Xaver Hellauer 2012-06-17 10:51:09 EDT
Created attachment 592438 [details]
File: maps
Comment 4 Xaver Hellauer 2012-06-17 10:51:11 EDT
Created attachment 592439 [details]
File: dso_list
Comment 5 Thibault North 2012-06-22 16:15:39 EDT
Hello,
Thanks for the report. I will try and update RT to 4.0.9 in the next few days.
Comment 6 Fedora Update System 2012-06-23 09:27:30 EDT
rawtherapee-4.0.9-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/rawtherapee-4.0.9-1.fc17
Comment 7 Fedora Update System 2012-06-25 20:47:00 EDT
Package rawtherapee-4.0.9-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rawtherapee-4.0.9-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9888/rawtherapee-4.0.9-1.fc17
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-07-12 14:58:19 EDT
rawtherapee-4.0.9-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.